Update a customer

Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

patch

Update a customer.

Authorizations
AuthorizationstringRequired

Bearer {apikey}

Path parameters
agentIdstringRequired

The ID of the agent.

customerIdstringRequired

The ID of the customer.

Body
firstNamestring · min: 1Optional
lastNamestring · min: 1Optional
aliasstringOptional
phoneNumberstring · min: 1Optional
emailstring · min: 1Optional
preferredLanguagestring · enumOptionalPossible values:
biostringOptional
dobstring · dateOptional
genderstringOptional
sexstring · enumOptionalPossible values:
pronounstringOptional
facebookProfileURLstringOptional
instagramProfileURLstringOptional
tagsstring[]Optional
Responses
chevron-right
200

Successful Response

application/json

This an object representing a customer.

idstringOptional
phoneNumberstringOptional
firstNamestringOptional
lastNamestringOptional
aliasstringOptional
dobstring · dateOptional
pronounstringOptional
genderstringOptional
sexstring · enumOptionalPossible values:
preferredLanguagestring · enumOptionalPossible values:
emailstringOptional
biostringOptional
facebookProfileURLstringOptional
instagramProfileURLstringOptional
channelstringOptional
workplaceIdstringOptional
tagsstring[]Optional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
patch
/v1/agents/{agentId}/customers/{customerId}

Last updated